#include <stdio.h>
#include <float.h>

int main(){
	printf("sizeof(float) = %d\n", sizeof(float));
	printf("FLT_DIG = %d\n", FLT_DIG);
	printf("sizeof(double) = %d\n", sizeof(double));
	printf("DBL_DIG = %d\n", DBL_DIG);
	printf("sizeof(long double) = %d\n", sizeof(long double));
	printf("LDBL_DIG = %d\n", LDBL_DIG);
	return 0;
}